# icx_user – Manage the user accounts on Ruckus ICX 7000 series switches

New in version 2.9.

- Synopsis

- Parameters

- Notes

- Examples

- Return Values

- Status

## Synopsis

- This module creates or updates user account on network devices. It allows playbooks to manage either individual usernames or the aggregate of usernames in the current running config. It also supports purging usernames from the configuration that are not explicitly defined.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
access_time string |  | This parameter indicates the time the file's access time should be set to. Should be preserve when no modification is required, YYYYMMDDHHMM.SS when using default time format, or now. Default is None meaning that preserve is the default for state=[file,directory,link,hard] and now is default for state=touch
aggregate list |  | The set of username objects to be configured on the remote ICX device. The list entries can either be the username or a hash of username and properties. This argument is mutually exclusive with the `name` argument. aliases: users, collection
| access_time string |  | This parameter indicates the time the file's access time should be set to. Should be preserve when no modification is required, YYYYMMDDHHMM.SS when using default time format, or now. Default is None meaning that preserve is the default for state=[file,directory,link,hard] and now is default for state=touch

check_running_config
boolean

Choices:
- no
- yes

Check running configuration. This can be set as environment variable. Module will use environment variable value(default:True), unless it is overridden, by specifying it as module parameter.

| configured_password string |  | The password to be configured on the ICX device.
| name string / required |  | The username to be configured on the ICX device.

nopassword
boolean

Choices:
- no
- yes

Defines the username without assigning a password. This will allow the user to login to the system without being authenticated by a password.

privilege
string

Choices:
- 0
- 4
- 5

The privilege level to be granted to the user

state
string

Choices:
- present
- absent

Configures the state of the username definition as it relates to the device operational configuration. When set to present, the username(s) should be configured in the device active configuration and when set to absent the username(s) should not be in the device active configuration

update_password
string

Choices:
- on_create
- always

This argument will instruct the module when to change the password. When set to `always`, the password will always be updated in the device and when set to `on_create` the password will be updated only if the username is created.

check_running_config
boolean

Choices:
- no
- yes ←

Check running configuration. This can be set as environment variable. Module will use environment variable value(default:True), unless it is overridden, by specifying it as module parameter.

configured_password string |  | The password to be configured on the ICX device.
name string / required |  | The username to be configured on the ICX device.

nopassword
boolean

Choices:
- no
- yes

Defines the username without assigning a password. This will allow the user to login to the system without being authenticated by a password.

privilege
string

Choices:
- 0
- 4
- 5

Default:
0

The privilege level to be granted to the user

purge
boolean

Choices:
- no ←
- yes

If set to true module will remove any previously configured usernames on the device except the current defined set of users.

state
string

Choices:
- present ←
- absent

Configures the state of the username definition as it relates to the device operational configuration. When set to present, the username(s) should be configured in the device active configuration and when set to absent the username(s) should not be in the device active configuration

update_password
string

Choices:
- on_create
- always ←

This argument will instruct the module when to change the password. When set to `always`, the password will always be updated in the device and when set to `on_create` the password will be updated only if the username is created.

## Notes

Note

- Tested against ICX 10.1.

- For information on using ICX platform, see the ICX OS Platform Options guide.

## Examples

    - name: create a new user without password
      icx_user:
        name: user1
        nopassword: true

    - name: create a new user with password
      icx_user:
        name: user1
        configured_password: 'newpassword'

    - name: remove users
      icx_user:
        name: user1
        state: absent

    - name: set user privilege level to 5
      icx_user:
        name: user1
        privilege: 5

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
commands list | always | The list of configuration mode commands to send to the device Sample: ['username ansible nopassword', 'username ansible password-string alethea123', 'no username ansible', 'username ansible privilege 5', 'username ansible enable']

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Ruckus Wireless (@Commscope)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.